Puppet Enterprise 2018.1

This is a historical overview of which components are in Puppet Enterprise (PE) versions, dating back to the previous long term supported (LTS) release.

Puppet Enterprise agent and server components

This table shows the components installed on all agent nodes.
Note: Hiera 5 is a backwards-compatible evolution of Hiera, which is built into Puppet 4.9.0 and higher. To provide some backwards-compatible features, it uses the classic Hiera 3.x.x codebase version listed in this table.
PE Version Puppet Agent Puppet Facter Hiera MCollective RubyOpenSSL
2018.1.7 (LTS) 5.5.10 5.5.10 3.11.73.4.62.12.42.4.51.0.2n
2018.1.5 5.5.8 5.5.8 3.11.63.4.52.12.42.4.41.0.2n
2018.1.45.5.65.5.63.11.43.4.42.12.32.4.41.0.2n
2018.1.35.5.45.5.33.11.33.4.32.12.22.4.41.0.2n
2018.1.25.5.35.5.23.11.23.4.32.12.22.4.41.0.2n
2018.1.05.5.15.5.13.11.13.4.32.12.12.4.41.0.2n
2017.3.105.3.85.3.73.9.63.4.32.11.52.4.41.0.2n
2017.3.95.3.85.3.73.9.63.4.32.11.52.4.41.0.2n
2017.3.95.3.85.3.73.9.63.4.32.11.52.4.41.0.2n
2017.3.85.3.85.3.73.9.63.4.32.11.52.4.41.0.2n
2017.3.65.3.65.3.63.9.63.4.32.11.52.4.41.0.2n
2017.3.55.3.55.3.53.9.53.4.22.11.42.4.31.0.2n
2017.3.45.3.45.3.43.9.43.4.22.11.42.4.31.0.2n
2017.3.25.3.35.3.33.9.33.4.22.11.42.4.21.0.2k
2017.3.15.3.25.3.23.9.23.4.22.11.32.4.11.0.2k
2017.3.05.3.25.3.23.9.23.4.22.11.32.4.11.0.2k
2017.2.51.10.94.10.93.6.83.3.22.10.62.1.91.0.2k
2017.2.41.10.84.10.83.6.73.3.22.10.52.1.91.0.2k
2017.2.31.10.54.10.53.6.63.3.22.10.52.1.91.0.2k
2017.2.21.10.44.10.43.6.53.3.22.10.52.1.91.0.2k
2017.2.11.10.14.10.13.6.43.3.12.10.42.1.91.0.2k
2017.1.11.9.34.9.43.6.23.3.12.9.02.1.91.0.2j
2017.1.1 for Ubuntu on i3861.7.04.7.03.4.13.2.12.10.22.1.91.0.2h
2017.1.01.9.34.9.43.6.23.3.12.9.02.1.91.0.2j
2017.1.0 for Ubuntu on i3861.7.04.7.03.4.13.2.12.10.22.1.91.0.2h
2016.5.21.8.34.8.23.5.13.2.22.9.12.1.91.0.2j
2016.5.2 for Ubuntu on i3861.7.04.7.03.4.13.2.12.9.02.1.91.0.2h
2016.5.1 1.8.24.8.13.5.03.2.22.9.12.1.91.0.2j
2016.5.1 for Ubuntu on i3861.7.04.7.03.4.13.2.12.9.0 2.1.91.0.2h
2016.4.15 (LTS)1.10.144.10.123.6.103.3.32.10.62.1.91.0.2n
2016.4.141.10.144.10.123.6.103.3.32.10.62.1.91.0.2n
2016.4.131.10.144.10.123.6.103.3.32.10.62.1.91.0.2n
2016.4.111.10.124.10.113.6.103.3.32.10.62.1.91.0.2n
2016.4.101.10.104.10.103.6.9N/A2.10.62.1.91.0.2n
2016.4.9 1.10.94.10.93.6.8N/A2.10.62.1.91.0.2k
2016.4.8 1.10.84.10.83.6.7N/A2.10.52.1.91.0.2k
2016.4.7 1.10.54.10.53.6.6N/A2.10.52.1.91.0.2k
2016.4.6 1.10.44.10.43.6.5N/A2.10.52.1.91.0.2k
2016.4.5 1.10.14.10.13.6.4N/A2.10.42.1.91.0.2k
2016.4.31.7.24.7.13.4.23.2.22.9.1 2.1.91.0.2j
2016.4.3 for Ubuntu on i3861.7.14.7.03.4.13.2.12.9.02.1.91.0.2j
2016.4.2 1.7.14.7.03.4.13.2.12.9.02.1.91.0.2j
2016.4.0 1.7.14.7.03.4.13.2.12.9.02.1.91.0.2j
This table shows components installed on server nodes:
PE Version Puppet Server PuppetDB r10k Razor Server Razor Libs PostgreSQL Java ActiveMQ Nginx
2018.1.7 (LTS) 5.3.7 5.2.7 2.6.51.9.2N/A9.6.101.8.05.15.51.14.0
2018.1.5 5.3.6 5.2.6 2.6.51.9.2N/A9.6.101.8.05.15.51.14.0
2018.1.45.3.55.2.42.6.21.9.2N/A9.6.101.8.05.15.31.14.0
2018.1.35.3.45.2.42.6.21.9.2N/A9.6.81.8.05.15.31.14.0
2018.1.25.3.35.2.22.6.21.9.2N/A9.6.81.8.05.15.31.12.1
2018.1.05.3.25.2.22.6.21.8.1N/A9.6.81.8.05.15.31.12.1
2017.3.105.1.65.1.52.6.01.6.03.1.29.6.101.8.05.15.31.14.0
2017.3.95.1.65.1.52.6.01.6.03.1.29.6.81.8.05.15.31.14.0
2017.3.85.1.65.1.52.6.01.6.03.1.29.6.81.8.05.15.31.12.1
2017.3.65.1.65.1.52.6.01.6.03.1.29.6.81.8.05.15.31.12.1
2017.3.55.1.65.1.42.6.01.6.03.1.29.6.61.8.05.14.31.12.1
2017.3.45.1.55.1.42.6.01.6.03.1.29.6.61.8.05.14.31.12.1
2017.3.25.1.45.1.32.5.51.6.03.1.29.6.51.8.05.14.31.12.1
2017.3.15.1.35.1.12.5.51.6.03.1.29.6.51.8.05.14.31.12.1
2017.3.05.1.35.1.12.5.51.6.03.1.29.6.51.8.05.14.31.12.1
2017.2.52.8.04.4.22.5.51.6.03.1.29.4.141.8.05.14.31.12.1
2017.2.42.8.04.4.22.5.51.6.03.1.29.4.141.8.05.14.31.12.1
2017.2.32.7.24.4.12.5.51.6.03.1.29.4.121.8.05.14.31.12.1
2017.2.22.7.24.4.12.5.51.6.03.1.29.4.121.8.05.14.31.10.2
2017.2.12.7.24.4.02.5.41.6.03.1.29.4.101.8.05.14.31.10.2
2017.1.12.7.24.3.22.5.11.5.03.1.29.4.101.8.05.14.31.10.2
2017.1.02.7.24.3.22.5.11.5.03.1.29.4.101.8.05.14.31.10.2
2016.5.22.6.04.2.52.5.01.5.03.1.29.4.91.8.05.14.31.8.1
2016.5.12.6.04.2.52.5.01.5.03.1.29.4.91.8.05.13.21.8.1
2016.4.15 (LTS)2.6.14.2.32.5.51.4.03.1.29.4.191.8.05.15.31.14.0
2016.4.142.6.14.2.32.5.51.4.03.1.29.4.171.8.05.15.31.14.0
2016.4.132.6.14.2.32.5.51.4.03.1.29.4.171.8.05.15.31.12.1
2016.4.112.6.14.2.32.5.51.4.03.1.29.4.171.8.05.15.31.12.1
2016.4.102.6.14.2.32.5.51.4.03.1.29.4.151.8.05.14.31.12.1
2016.4.92.6.04.2.32.5.51.4.03.1.29.4.141.8.05.14.31.12.1
2016.4.82.6.04.2.32.5.51.4.03.1.29.4.141.8.05.14.31.12.1
2016.4.72.6.04.2.32.5.51.4.03.1.29.4.121.8.05.14.31.12.1
2016.4.62.6.04.2.32.5.51.4.03.1.29.4.121.8.05.14.31.8.1
2016.4.52.6.04.2.32.5.41.4.03.1.29.4.91.8.05.14.31.8.1
2016.4.32.6.04.2.32.4.51.4.03.1.29.4.91.8.05.14.31.8.1
2016.4.22.6.04.2.32.4.31.4.03.1.29.4.91.8.05.13.21.8.1
2016.4.02.6.04.2.32.4.31.4.03.1.29.4.91.8.05.13.21.8.1

Master and agent compatibility

Use this table to verify that you're using a compatible version of the  agent for your PE or Puppet master.

Master

PE 3.x

Puppet 3.x

PE 2015.1 through 2017.2

Puppet 4.x

PE 2017.3 through 2018.1

Puppet 5.x
Agent3.x
4.x
5.x
Note:
  • Puppet 3.x has reached end of life and is not actively developed or tested. We retain agent 3.x compabilility with later versions of the master only to enable upgrades.

Task compatibility

This table shows which version of the Puppet task specification is compatible with each version of PE.

PE version Puppet task specification ( GitHub)
2017.3.0+version 1, revision 1
Back to top
The page rank or the 1 our of 5 rating a user has given the page.
The email address of the user submitting feedback.
The URL of the page being ranked/rated.